Name:		cpuid
Version:	20240409
Release:	%mkrel 2
Summary:	Dumps information about the CPU(s)
License:	BSD
Source:		https://www.etallen.com/%{name}/%{name}-%{version}.src.tar.gz
Group:		System/Kernel and hardware
URL:		https://www.etallen.com/
ExclusiveArch:	%{ix86} x86_64

%description
cpuid dumps detailed information about x86 CPU(s) gathered from the CPUID
instruction, and also determines the exact model of CPU(s). It supports Intel,
AMD, and VIA CPUs, as well as older Transmeta, Cyrix, UMC, NexGen, and Rise
CPUs.

%prep
%setup -q

%build
%make_build

%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.man %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc ChangeLog FUTURE
%license LICENSE
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}


%changelog
* Fri Mar 07 2025 papoteur <papoteur> 20240409-2.mga10
+ Revision: 2161635
- rebuild for python3.13

* Tue Apr 23 2024 daviddavid <daviddavid> 20240409-1.mga10
+ Revision: 2060551
- new version: 20240409

* Sun Feb 12 2023 ghibo <ghibo> 20230120-1.mga9
+ Revision: 1940819
- Update to release 20230120

* Mon Jan 02 2023 ghibo <ghibo> 20221201-1.mga9
+ Revision: 1929165
- Update to release 20221201

* Mon Oct 17 2022 pol4n <pol4n> 20221003-1.mga9
+ Revision: 1897204
- new version: 20221003

* Fri Aug 19 2022 pol4n <pol4n> 20220812-1.mga9
+ Revision: 1878631
- new version: 20220812

* Tue Mar 15 2022 umeabot <umeabot> 20211210-2.mga9
+ Revision: 1793773
- Mageia 9 Mass Rebuild

* Mon Jan 17 2022 mrambo3501 <mrambo3501> 20211210-1.mga9
+ Revision: 1768779
- version 20211210

* Sun Oct 25 2020 shlomif <shlomif> 20201006-1.mga8
+ Revision: 1639285
- New version 20201006

* Thu Apr 30 2020 shlomif <shlomif> 20200427-1.mga8
+ Revision: 1573531
- New version 20200427

* Tue Feb 25 2020 shlomif <shlomif> 20200211-1.mga8
+ Revision: 1550437
- New version 20200211

* Thu Feb 20 2020 umeabot <umeabot> 20200203-2.mga8
+ Revision: 1547002
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 shlomif <shlomif> 20200203-1.mga8
+ Revision: 1487460
- New version 20200203

* Thu Jan 23 2020 shlomif <shlomif> 20200122-1.mga8
+ Revision: 1482477
- New version 20200122

* Tue Jan 14 2020 shlomif <shlomif> 20200112-1.mga8
+ Revision: 1477932
- New version 20200112

* Sat Jan 05 2019 daviddavid <daviddavid> 20180519-1.mga7
+ Revision: 1349361
- new version: 20180519

* Sun Sep 23 2018 umeabot <umeabot> 20180419-2.mga7
+ Revision: 1296872
- Mageia 7 Mass Rebuild

* Wed May 16 2018 shlomif <shlomif> 20180419-1.mga7
+ Revision: 1229871
- New version

* Tue Oct 24 2017 shlomif <shlomif> 20170122-1.mga7
+ Revision: 1173280
- New version

* Mon Sep 05 2016 tv <tv> 20160814-1.mga6
+ Revision: 1050149
- use %%license
- new version

* Fri Feb 19 2016 pterjan <pterjan> 20150606-3.mga6
+ Revision: 969004
- Restrict to x86*

* Fri Feb 19 2016 umeabot <umeabot> 20150606-2.mga6
+ Revision: 968914
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 blino <blino> 20150606-1.mga6
+ Revision: 857744
- 20150606

* Wed Oct 15 2014 umeabot <umeabot> 20140123-3.mga5
+ Revision: 748063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20140123-2.mga5
+ Revision: 678575
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 dams <dams> 20140123-1.mga5
+ Revision: 580646
- new version 20140123

* Tue Feb 04 2014 dams <dams> 20140112-1.mga5
+ Revision: 580645
- new version 20140112

* Sat Oct 19 2013 umeabot <umeabot> 20130610-2.mga4
+ Revision: 528207
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 dams <dams> 20130610-1.mga4
+ Revision: 443824
- new version 20130610

* Fri Jan 11 2013 umeabot <umeabot> 20120601-2.mga3
+ Revision: 348262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 27 2012 dams <dams> 20120601-1.mga3
+ Revision: 264393
- new version 20120601
- clean specfile
- use real version in package name

* Wed Mar 14 2012 dams <dams> 1.0-0.20120225.1.mga2
+ Revision: 223351
- new version 20120225

* Wed Apr 13 2011 dams <dams> 1.0-0.20110305.1.mga1
+ Revision: 84798
- update to 20110305

* Fri Mar 18 2011 tv <tv> 1.0-0.20060917.3.mga1
+ Revision: 73944
- imported package cpuid


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20060917.3mdv2011.0
+ Revision: 617437
- the mass rebuild of 2010.0 packages

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 1.0-0.20060917.2mdv2010.0
+ Revision: 425243
- rebuild

* Mon Feb 18 2008 Olivier Blin <oblin@mandriva.com> 1.0-0.20060917.1mdv2008.1
+ Revision: 171593
- update to 20060917 snapshot
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import cpuid


* Mon Aug 01 2006 Giuseppe Ghibò <ghibo@mandriva.com> 1.0-0.20060730.1mdv2007.0
- Initial Release.
